# Uses of Class
java.security.AccessControlContext

Packages that use AccessControlContext
Package
Description
java.security
Provides the classes and interfaces for the security framework.
javax.security.auth
This package provides a framework for authentication and authorization.

## Uses of AccessControlContext in java.security

Methods in java.security that return AccessControlContext
Modifier and Type
Method
Description
`static AccessControlContext`
AccessController.`getContext()`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns an `AccessControlContext` where the `checkPermission` method always throws an `AccessControlException` and the `getDomainCombiner` method always returns `null`.
Methods in java.security with parameters of type AccessControlContext
Modifier and Type
Method
Description
`static <T> T`
AccessController.`doPrivileged(PrivilegedAction<T> action, AccessControlContext context)`
Deprecated, for removal: This API element is subject to removal in a future version.
Performs the specified action.
`static <T> T`
AccessController.`doPrivileged(PrivilegedAction<T> action, AccessControlContext context, Permission... perms)`
Deprecated, for removal: This API element is subject to removal in a future version.
Performs the specified action.
`static <T> T`
AccessController.`doPrivileged(PrivilegedExceptionAction<T> action, AccessControlContext context)`
Deprecated, for removal: This API element is subject to removal in a future version.
Performs the specified action.
`static <T> T`
AccessController.`doPrivileged(PrivilegedExceptionAction<T> action, AccessControlContext context, Permission... perms)`
Deprecated, for removal: This API element is subject to removal in a future version.
Performs the specified action.
`static <T> T`
AccessController.`doPrivilegedWithCombiner(PrivilegedAction<T> action, AccessControlContext context, Permission... perms)`
Deprecated, for removal: This API element is subject to removal in a future version.
Performs the specified action.
`static <T> T`
AccessController.`doPrivilegedWithCombiner(PrivilegedExceptionAction<T> action, AccessControlContext context, Permission... perms)`
Deprecated, for removal: This API element is subject to removal in a future version.
Performs the specified action.
Constructors in java.security with parameters of type AccessControlContext
Modifier
Constructor
Description
``
`AccessControlContext(AccessControlContext acc, DomainCombiner combiner)`
Deprecated, for removal: This API element is subject to removal in a future version.
Create a new `AccessControlContext` with the given `AccessControlContext` and `DomainCombiner`.

## Uses of AccessControlContext in javax.security.auth

Methods in javax.security.auth with parameters of type AccessControlContext
Modifier and Type
Method
Description
`static <T> T`
Subject.`doAsPrivileged(Subject subject, PrivilegedAction<T> action, AccessControlContext acc)`
Deprecated, for removal: This API element is subject to removal in a future version.
This method originally performed the specified `PrivilegedAction` with privileges enabled and restricted by the specified `AccessControlContext`.
`static <T> T`
Subject.`doAsPrivileged(Subject subject, PrivilegedExceptionAction<T> action, AccessControlContext acc)`
Deprecated, for removal: This API element is subject to removal in a future version.
This method originally performed the specified `PrivilegedExceptionAction` with privileges enabled and restricted by the specified `AccessControlContext`.
`static Subject`
Subject.`getSubject(AccessControlContext acc)`
Deprecated, for removal: This API element is subject to removal in a future version.
This method used to get the subject associated with the provided `AccessControlContext`, which was only useful in conjunction with the Security Manager, which is no longer supported.